"""empty message

Revision ID: 50048c93cb05
Revises: 
Create Date: 2020-02-27 09:07:38.378702

"""
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision = '50048c93cb05'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('administrator',
                    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
                    sa.Column('user', sa.String(length=30), nullable=True),
                    sa.Column('password', sa.String(length=30), nullable=True),
                    sa.PrimaryKeyConstraint('id')
                    )
    op.create_table('employee',
                    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
                    sa.Column('name', sa.String(length=30), nullable=True),
                    sa.Column('surname', sa.String(length=40), nullable=True),
                    sa.Column('cpf', sa.Integer(), nullable=True),
                    sa.Column('telephone', sa.Integer(), nullable=True),
                    sa.Column('email', sa.String(length=35), nullable=True),
                    sa.Column('city', sa.String(length=50), nullable=True),
                    sa.Column('street', sa.String(length=50), nullable=True),
                    sa.Column('neighborhood', sa.String(length=60), nullable=True),
                    sa.Column('number', sa.Integer(), nullable=True),
                    sa.Column('office', sa.String(length=30), nullable=True),
                    sa.Column('salary_amount', sa.Integer(), nullable=True),
                    sa.Column('worked_hours', sa.Integer(), nullable=True),
                    sa.PrimaryKeyConstraint('id')
                    )
    op.create_table('salary',
                    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
                    sa.Column('type_of_salary', sa.String(length=40), nullable=True),
                    sa.Column('value', sa.Integer(), nullable=True),
                    sa.PrimaryKeyConstraint('id')
                    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('salary')
    op.drop_table('employee')
    op.drop_table('administrator')
    # ### end Alembic commands ###
